##
##  botan1.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_major 1.10
%define       V_minor 17

#   package information
Name:         botan1
Summary:      C++ Cryptography Library
URL:          http://botan.randombit.net/
Vendor:       The Botan Project
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Cryptography
License:      BSD
Version:      %{V_major}.%{V_minor}
Release:      20180327

#   list of sources
Source0:      http://botan.randombit.net/releases/Botan-%{version}.tgz
Patch0:       botan1.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes, python, perl
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Botan is a C++ cryptography library, providing a wide variety of
    cryptographic algorithms, formats, and protocols.

%track
    prog botan1 = {
        version   = %{version}
        url       = http://botan.randombit.net/download.html
        regex     = Botan-(__VER__)\.tgz
    }

%prep
    %setup -q -n Botan-%{version}
    %patch -p0

%build
    perl -p -i.bak -e \
        's;(0x[\da-fA-F]{16});\1ULL;g' \
        src/*/*.cpp
    rm -f src/*.bak
    %{l_shtool} subst \
        -e 's;-mcpu=;-mtune=;g' \
        src/build-data/cc/gcc.txt
    CC="%{l_cc} %{l_cflags -O}" \
    CXX="%{l_cxx} %{l_cxxflags -O}" \
    python ./configure.py \
        --cc="gcc" \
        --prefix=%{l_prefix} \
        --docdir=share/botan \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install \
        DESTDIR=$RPM_BUILD_ROOT%{l_prefix} \
        OWNER=`%{l_shtool} echo -e '%u'` \
        GROUP=`%{l_shtool} echo -e '%g'`
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/botan
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

